# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global srcname istanbul

Name:           nodejs-%{srcname}
Version:        0.4.5
Release:        2%{?dist}
Summary:        A JS code coverage tool written in JS
License:        BSD
URL:            https://github.com/gotwarlost/istanbul
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh


BuildArch:      noarch

%if 0%{?rhel} && 0%{?rhel} < 7
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
ExclusiveArch:  %{nodejs_arches} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(escodegen)
BuildRequires:  npm(fileset)
BuildRequires:  npm(handlebars)
BuildRequires:  npm(js-yaml)
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(once)
BuildRequires:  npm(resolve)
BuildRequires:  npm(requirejs)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(supports-color)
BuildRequires:  npm(which)
%endif


%description
%{summary}.


%prep
%setup -q -n package
# tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep async
%nodejs_fixdep escodegen
%nodejs_fixdep esprima
%nodejs_fixdep fileset
%nodejs_fixdep glob
%nodejs_fixdep handlebars
%nodejs_fixdep js-yaml
%nodejs_fixdep mkdirp
%nodejs_fixdep nopt
%nodejs_fixdep resolve
%nodejs_fixdep supports-color
%nodejs_fixdep which
%nodejs_fixdep wordwrap


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js lib/  %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/lib/cli.js %{buildroot}%{_bindir}/istanbul-js

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
test/run.js
%endif


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}
%{_bindir}/istanbul-js


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Sep 23 2017 Jared Smith <jsmith@fedoraproject.org> - 0.4.5-1
- Update to upstream 0.4.5 release

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 17 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Fri Sep  4 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.19-1
- Update to 0.3.19
- Switch source to github which includes tests

* Mon Aug 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.18-2
- Add el6 compatibility

* Mon Aug 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.18-1
- Update to upstream version 0.3.18

* Fri Jul 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.17-2
- Fixdep updated dependencies

* Sat Jul 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.17-1
- Update to upstream version 0.3.17

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb  3 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.5-1
- Update to upstream version 0.3.5

* Wed Dec 10 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.3.2-3
- Renamed binary name to prevent conflict
- Temporary disabled tests because of RHBZ#1172471

* Sat Dec  6 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.3.2-2
- Removed group tag
- Added rm -rf node_modules

* Fri Nov 21 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.3.2-1
- Initial package
